{"items":[{"type":"link","label":"Evaluation","link":"/solutions/fdplan/apis/fdplan-evaluation","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation","content":{"contentType":"overview","meta":{"name":"Evaluation"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"Evaluation Spec","url":"https://developer.slb.com/fdplan/FDPlan-Evaluation.yaml"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[{"kind":"externallink","title":"URL","titleTranslationKey":"info.contact.url","label":"https://customersupport.digital.slb.com","url":"https://customersupport.digital.slb.com"}]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"Evaluation (1.0.0)","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"fence","attributes":{"content":"prod-nam-services-fdplan.slbservice.com\nprod-eu-services-fdplan.slbservice.com\nprod-au-services-fdplan.slbservice.com\nprod-id-services-fdplan.slbservice.com\nproduction-services-fdplan.slbservice.com\n","language":"plain","title":"Client ID"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"prod-nam-services-fdplan.slbservice.com\nprod-eu-services-fdplan.slbservice.com\nprod-au-services-fdplan.slbservice.com\nprod-id-services-fdplan.slbservice.com\nproduction-services-fdplan.slbservice.com\n"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The Evaluation API is responsible for evaluation workflows in FDPlan. The"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"key features of the API include:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"*"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The ability to create custom evaluation workflows."},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The ability to drive custom evaluation workflows and computations."},"children":[]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The key API concepts include:"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"*"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"workflow-specs"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": A workflow-spec is a workflow specification defining"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"all the computation specifications which form the workflow. A workflow"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"specification also defines the edges which connect computations together"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"in a graph. These edges connect an output from one computation"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"specification to the input of another."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A number of default 'system' workflow specifications are provided to the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"user. Details of these 'system' workflow specifications can be discovered"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"by using the API to get all workflow specifications."},"children":[]}]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"computation-specs"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": A computation-spec is a computation specification"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"which defines all the input and output data-types for the computation."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A number of default 'system' computation specifications are provided to"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"the user.  Details of these 'system' computation specifications can be"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"discovered by using the API to get all computation specifications."},"children":[]}]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"data-types"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": A data-type is a specification for a data representation"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"which is required as one of a computation-spec's inputs or produced as"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"one of a computation-spec's outputs."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A number of default 'system' data-types are provided to the user. Details"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"of these 'system' data-types can be discovered by using the API to get all"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"data-types."},"children":[]}]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"computation"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": A computation is an instance of a computation-spec for a"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"running workflow. It encapsulates the state of the computation"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"(i.e. running, succeeded), input/output data containers which have been"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"associated with the computation and any errors which have occurred during"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"the running of the computation. The input and output data containers"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"associated with the computation can be accessed through the containers API"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"operations."},"children":[]}]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"container"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": A container is a resource which holds all the data for a"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"given data-type definition."},"children":[]}]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"schema"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": A schema is a formal description of a data-type. It defines"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"the structure of the data-type against which data can be validated."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"A number of default schemas for 'system' data-types are provided for the"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"user."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Currently only JSON schemas are supported, for more information see"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://json-schema.org/"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"JSON Schema"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Schemas defined in the OSDU schema service may be used to describe"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"evaluation data-types by using their unique identifiers in schema"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"references, e.g. osdu:wks:wellbore:1.0.0."},"children":[]}]}]}]}]}]}],"sectionId":"/"}],"sectionId":"/"}]}]}},{"type":"group","label":"WorkflowSpecs","link":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs","items":[{"label":"Get all workflow specifications","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/getworkflowspecs","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/getworkflowspecs","metadata":{"seo":{"title":"Get all workflow specifications","description":"Get all workflow specifications. The parameter 'IncludePreviousVersions' may be used to return either the most recent versions of the workflow specifications or all possible versions of each workflow specification."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getWorkflowSpecs","name":"Get all workflow specifications","isWebhook":false,"pointer":"/paths/~1workflow-specs/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get all workflow specifications","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Get all workflow specifications. The parameter 'IncludePreviousVersions' may be used to return either the most recent versions of the workflow specifications or all possible versions of each workflow specification."},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"includePreviousVersions","in":"query","schemaId":"schema_0","description":"Unless includePreviousVersions is true the response will return only the latest version of each specification."}],"pointer":"/paths/~1workflow-specs/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1workflow-specs/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/workflow-specs","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"parameters":{"path":[],"query":[{"name":"includePreviousVersions","in":"query","schemaId":"schema_0"}],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","204","401","default"],"pointer":"/workflow-specs","href":"workflowspecs/getworkflowspecs","openApiOperationId":"getWorkflowSpecs","summary":"Get all workflow specifications"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Retrieved workflow specifications successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpecs"}},"schemaId":"components/schemas/WorkflowSpecs"},{"code":"204","description":"No workflow specifications were found."},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"default","description":"Unexpected error.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1workflow-specs/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/WorkflowSpecs","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpecs"}}},{"code":"204"},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/workflowspecs/getworkflowspecs"}],"panels":[]}]},"httpPath":"/workflow-specs"},{"label":"Create workflow specification","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/postworkflowspec","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/postworkflowspec","metadata":{"seo":{"title":"Create workflow specification","description":"Create workflow specification. The create request must contain all the computation specifications which are to make up the workflow specification. These computation specifications must have previously been created. The request must also contain all the edges which connect the computation specifications together. The edges describe the flow of data from one computation specifications output data-type to another computation specifications input data-type. As an example, a workflow specification could consist of two computation specifications connected together. The connection between the two computation specifications could consist of the first output data-type from the first computation specification being connected to the first input data-type of the second computation specification. If the two computation specifications being connected together were the 'ix' and 'peep' computation specifications, the output data-type 'production-forecast' of the 'ix' computation specification would be connected to the input data-type 'production-forecast' of the 'peep' computation specification. As the 'production-forecast' data-type is the first output data-type (zeroth index) in the 'ix' computation specification and the first input data-type (zeroth index) in the 'peep' computation specification, the workflow edge would be defined as going from the index zero output data-type of the computation specification with index zero (the 'ix' computation specification) to the index zero output data-type of the computation index with index one (the 'peep' computation index). The order of the computation specifications provided in the creation of the workflow specification is maintained in the created workflow specification and may only be changed through performing PATCH operations on the workflow specification."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"postWorkflowSpec","name":"Create workflow specification","isWebhook":false,"pointer":"/paths/~1workflow-specs/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create workflow specification","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Create workflow specification. The create request must contain all the computation specifications which are to make up the workflow specification. These computation specifications must have previously been created. The request must also contain all the edges which connect the computation specifications together. The edges describe the flow of data from one computation specifications output data-type to another computation specifications input data-type. As an example, a workflow specification could consist of two computation specifications connected together. The connection between the two computation specifications could consist of the first output data-type from the first computation specification being connected to the first input data-type of the second computation specification. If the two computation specifications being connected together were the 'ix' and 'peep' computation specifications, the output data-type 'production-forecast' of the 'ix' computation specification would be connected to the input data-type 'production-forecast' of the 'peep' computation specification. As the 'production-forecast' data-type is the first output data-type (zeroth index) in the 'ix' computation specification and the first input data-type (zeroth index) in the 'peep' computation specification, the workflow edge would be defined as going from the index zero output data-type of the computation specification with index zero (the 'ix' computation specification) to  the index zero output data-type of the computation index with index one (the 'peep' computation index). The order of the computation specifications provided in the creation of the workflow specification is maintained in the created workflow specification and may only be changed through performing PATCH operations on the workflow specification."},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1workflow-specs/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateWorkflowSpec"}},"schemaId":"components/schemas/CreateWorkflowSpec","pointer":"/paths/~1workflow-specs/post/requestBody","description":"The workflow specification to be created."}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/workflow-specs","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CreateWorkflowSpec"}},"responseCodes":["201","401","default"],"pointer":"/workflow-specs","href":"workflowspecs/postworkflowspec","openApiOperationId":"postWorkflowSpec","summary":"Create workflow specification"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"schemaId":"components/schemas/CreateWorkflowSpec","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateWorkflowSpec"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"201","description":"Workflow specification created successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpec"}},"schemaId":"components/schemas/WorkflowSpec"},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"default","description":"Unexpected error.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1workflow-specs/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"201","schemaId":"components/schemas/WorkflowSpec","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpec"}}},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/workflowspecs/postworkflowspec"}],"panels":[]}]},"httpPath":"/workflow-specs"},{"label":"Get a workflow specification","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/getworkflowspec","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/getworkflowspec","metadata":{"seo":{"title":"Get a workflow specification","description":"Get a workflow specification."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getWorkflowSpec","name":"Get a workflow specification","isWebhook":false,"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a workflow specification","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Get a workflow specification."},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"workflowSpecId","in":"path","schemaId":"schema_1","description":"The workflow specification ID.","required":true}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/get/parameters"},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"version","in":"query","schemaId":"schema_2","description":"The id of the data-type to get. If not specified, the latest version will be returned."}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/workflow-specs/{workflowSpecId}","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"workflowSpecId","in":"path","required":true,"schemaId":"schema_1"}],"query":[{"name":"version","in":"query","schemaId":"schema_2"}],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","404","default"],"pointer":"/workflow-specs/{workflowSpecId}","href":"workflowspecs/getworkflowspec","openApiOperationId":"getWorkflowSpec","summary":"Get a workflow specification"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Retrieved workflow specification successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpec"}},"schemaId":"components/schemas/WorkflowSpec"},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"404","description":"The workflow specification was not found.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"default","description":"Unexpected error.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/WorkflowSpec","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpec"}}},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"404","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/workflowspecs/getworkflowspec"}],"panels":[]}]},"httpPath":"/workflow-specs/{workflowSpecId}"},{"label":"Create or update workflow specification","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/putworkflowspec","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/putworkflowspec","metadata":{"seo":{"title":"Create or update workflow specification","description":"Create or update workflow specification. The request must contain all the computation specifications which are to make up the workflow specification. These computation specifications must have previously been created. The request must also contain all the edges which connect the computation specifications together. The edges describe the flow of data from one computation specifications output data-type to another computation specifications input data-type. As an example, a workflow specification could consist of two computation specifications connected together. The connection between the two computation specifications could consist of the first output data-type from the first computation specification being connected to the first input data-type of the second computation specification. If the two computation specifications being connected together were the 'ix' and 'peep' computation specifications, the output data-type 'production-forecast' of the 'ix' computation specification would be connected to the input data-type 'production-forecast' of the 'peep' computation specification. As the 'production-forecast' data-type is the first output data-type (zeroth index) in the 'ix' computation specification and the first input data-type (zeroth index) in the 'peep' computation specification, the workflow edge would be defined as going from the index zero output data-type of the computation specification with index zero (the 'ix' computation specification) to the index zero output data-type of the computation index with index one (the 'peep' computation index). The order of the computation specifications provided in the creation of the workflow specification is maintained in the created workflow specification and may be changed through performing PATCH or PUT operations on the workflow specification."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"putWorkflowSpec","name":"Create or update workflow specification","isWebhook":false,"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create or update workflow specification","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Create or update workflow specification. The request must contain all the computation specifications which are to make up the workflow specification. These computation specifications must have previously been created. The request must also contain all the edges which connect the computation specifications together. The edges describe the flow of data from one computation specifications output data-type to another computation specifications input data-type. As an example, a workflow specification could consist of two computation specifications connected together. The connection between the two computation specifications could consist of the first output data-type from the first computation specification being connected to the first input data-type of the second computation specification. If the two computation specifications being connected together were the 'ix' and 'peep' computation specifications, the output data-type 'production-forecast' of the 'ix' computation specification would be connected to the input data-type 'production-forecast' of the 'peep' computation specification. As the 'production-forecast' data-type is the first output data-type (zeroth index) in the 'ix' computation specification and the first input data-type (zeroth index) in the 'peep' computation specification, the workflow edge would be defined as going from the index zero output data-type of the computation specification with index zero (the 'ix' computation specification) to  the index zero output data-type of the computation index with index one (the 'peep' computation index). The order of the computation specifications provided in the creation of the workflow specification is maintained in the created workflow specification and may be changed through performing PATCH or PUT operations on the workflow specification."},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"workflowSpecId","in":"path","schemaId":"schema_1","description":"The workflow specification ID.","required":true}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/put/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ReplaceWorkflowSpec"}},"schemaId":"components/schemas/ReplaceWorkflowSpec","pointer":"/paths/~1workflow-specs~1{workflowSpecId}/put/requestBody","description":"The workflow specification to be created."}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/workflow-specs/{workflowSpecId}","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"workflowSpecId","in":"path","required":true,"schemaId":"schema_1"}],"query":[],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ReplaceWorkflowSpec"}},"responseCodes":["200","201","400","401","default"],"pointer":"/workflow-specs/{workflowSpecId}","href":"workflowspecs/putworkflowspec","openApiOperationId":"putWorkflowSpec","summary":"Create or update workflow specification"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"schemaId":"components/schemas/ReplaceWorkflowSpec","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ReplaceWorkflowSpec"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Workflow specification updated successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpec"}},"schemaId":"components/schemas/WorkflowSpec"},{"code":"201","description":"Workflow specification created successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpec"}},"schemaId":"components/schemas/WorkflowSpec"},{"code":"400","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"default","description":"Unexpected error.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/put/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/WorkflowSpec","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpec"}}},{"code":"201","schemaId":"components/schemas/WorkflowSpec","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpec"}}},{"code":"400","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/workflowspecs/putworkflowspec"}],"panels":[]}]},"httpPath":"/workflow-specs/{workflowSpecId}"},{"label":"Update a workflow specification","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/patchworkflowspec","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/patchworkflowspec","metadata":{"seo":{"title":"Update a workflow specification","description":"Update a workflow specification. It is only possible to update the \"name\", \"description\", \"archived\", \"computationSpecs\", \"edges\" and \"annotations\" fields of the workflow specification."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"patchWorkflowSpec","name":"Update a workflow specification","isWebhook":false,"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/patch","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Update a workflow specification","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Update a workflow specification. It is only possible to update the \"name\", \"description\", \"archived\", \"computationSpecs\", \"edges\" and \"annotations\" fields of the workflow specification."},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"workflowSpecId","in":"path","schemaId":"schema_1","description":"The workflow specification ID.","required":true}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/patch/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/patch/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/PatchReq"}},"schemaId":"components/schemas/PatchReq","pointer":"/paths/~1workflow-specs~1{workflowSpecId}/patch/requestBody","description":"The patches to apply to the workflow specification. Only \"replace\" operations are supported with the exception of \"add\" and \"remove\" for \"annotations\" path. It is only possible to update the \"name\", \"description\", \"archived\", \"computationSpecs\", \"edges\" and \"annotations\" fields of the workflow specification."}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PATCH","path":"/workflow-specs/{workflowSpecId}","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"workflowSpecId","in":"path","required":true,"schemaId":"schema_1"}],"query":[],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/PatchReq"}},"responseCodes":["200","401","404","default"],"pointer":"/workflow-specs/{workflowSpecId}","href":"workflowspecs/patchworkflowspec","openApiOperationId":"patchWorkflowSpec","summary":"Update a workflow specification"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"schemaId":"components/schemas/PatchReq","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/PatchReq"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Workflow specification updated successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpec"}},"schemaId":"components/schemas/WorkflowSpec"},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"404","description":"The workflow specification was not found.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"default","description":"Unexpected error.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}/patch/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/WorkflowSpec","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpec"}}},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"404","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/workflowspecs/patchworkflowspec"}],"panels":[]}]},"httpPath":"/workflow-specs/{workflowSpecId}"},{"label":"Create or update configuration for a computation","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/putcomputationconfig","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/putcomputationconfig","metadata":{"seo":{"title":"Create or update configuration for a computation","description":"Create or update configuration properties for a computation. The parameters workflowSpecIdand computationIndex will be used to uniquely identify the configuration to be created or updated."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"putComputationConfig","name":"Create or update configuration for a computation","isWebhook":false,"pointer":"/paths/~1workflow-specs~1{workflowSpecId}~1computation-config/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create or update configuration for a computation","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Create or update configuration properties for a computation. The parameters workflowSpecId"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"and computationIndex will be used to uniquely identify the configuration to be created or updated."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Note"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":": It is advised not to change the computation configurations while an evaluation is running. This might lead to unexpected evaluation results."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"workflowSpecId","in":"path","schemaId":"schema_1","description":"The workflow specification ID.","required":true}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}~1computation-config/put/parameters"},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"computationIndex","in":"query","schemaId":"schema_3","description":"The computation index in the workflow spec.","required":true}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}~1computation-config/put/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}~1computation-config/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ComputationConfiguration"}},"schemaId":"components/schemas/ComputationConfiguration","pointer":"/paths/~1workflow-specs~1{workflowSpecId}~1computation-config/put/requestBody","description":"The configuration properties for a computation"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/workflow-specs/{workflowSpecId}/computation-config","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"workflowSpecId","in":"path","required":true,"schemaId":"schema_1"}],"query":[{"name":"computationIndex","in":"query","required":true,"schemaId":"schema_3"}],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ComputationConfiguration"}},"responseCodes":["204","400","401","default"],"pointer":"/workflow-specs/{workflowSpecId}/computation-config","href":"workflowspecs/putcomputationconfig","openApiOperationId":"putComputationConfig","summary":"Create or update configuration for a computation"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"schemaId":"components/schemas/ComputationConfiguration","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ComputationConfiguration"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"204","description":"Computation configuration created successfully."},{"code":"400","description":"Bad request","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"default","description":"Unexpected error","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1workflow-specs~1{workflowSpecId}~1computation-config/put/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"204"},{"code":"400","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/workflowspecs/putcomputationconfig"}],"panels":[]}]},"httpPath":"/workflow-specs/{workflowSpecId}/computation-config"},{"label":"Get all input mappings that originates from the given workflow specification","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/getworkflowspecmappings","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/getworkflowspecmappings","metadata":{"seo":{"title":"Get all input mappings that originates from the given workflow specification","description":"Get all input mappings that originates from the given workflow specification."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getWorkflowSpecMappings","name":"Get all input mappings that originates from the given workflow specification","isWebhook":false,"pointer":"/paths/~1workflow-specs-mappings~1{workflowSpecId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get all input mappings that originates from the given workflow specification","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Get all input mappings that originates from the given workflow specification."},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"workflowSpecId","in":"path","schemaId":"schema_1","description":"The ID of the workflow specification to return mappings for.","required":true}],"pointer":"/paths/~1workflow-specs-mappings~1{workflowSpecId}/get/parameters"},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"version","in":"query","schemaId":"schema_4","description":"The version of the workflow specification to return mappings for.","required":true}],"pointer":"/paths/~1workflow-specs-mappings~1{workflowSpecId}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1workflow-specs-mappings~1{workflowSpecId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/workflow-specs-mappings/{workflowSpecId}","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"workflowSpecId","in":"path","required":true,"schemaId":"schema_1"}],"query":[{"name":"version","in":"query","required":true,"schemaId":"schema_4"}],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","404","default"],"pointer":"/workflow-specs-mappings/{workflowSpecId}","href":"workflowspecs/getworkflowspecmappings","openApiOperationId":"getWorkflowSpecMappings","summary":"Get all input mappings that originates from the given workflow specification"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Workflow specification input mappings originating from the given workflow specification","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpecMappings"}},"schemaId":"components/schemas/WorkflowSpecMappings"},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"404","description":"Workflow specification was not found"},{"code":"default","description":"Unexpected error.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1workflow-specs-mappings~1{workflowSpecId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/WorkflowSpecMappings","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpecMappings"}}},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"404"},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/workflowspecs/getworkflowspecmappings"}],"panels":[]}]},"httpPath":"/workflow-specs-mappings/{workflowSpecId}"},{"label":"Create or update input mapping between two workflow specifications","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/putworkflowspecmapping","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/workflowspecs/putworkflowspecmapping","metadata":{"seo":{"title":"Create or update input mapping between two workflow specifications","description":"Create or update input mapping between two workflow specifications."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"putWorkflowSpecMapping","name":"Create or update input mapping between two workflow specifications","isWebhook":false,"pointer":"/paths/~1workflow-specs-mappings/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create or update input mapping between two workflow specifications","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Create or update input mapping between two workflow specifications."},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1workflow-specs-mappings/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/WorkflowSpecMapping"}},"schemaId":"components/schemas/WorkflowSpecMapping","pointer":"/paths/~1workflow-specs-mappings/put/requestBody","description":"The request to create or update workflow specification input mapping."}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/workflow-specs-mappings","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/WorkflowSpecMapping"}},"responseCodes":["200","201","400","401","404","default"],"pointer":"/workflow-specs-mappings","href":"workflowspecs/putworkflowspecmapping","openApiOperationId":"putWorkflowSpecMapping","summary":"Create or update input mapping between two workflow specifications"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"schemaId":"components/schemas/WorkflowSpecMapping","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/WorkflowSpecMapping"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Workflow specification input mapping updated successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpecMapping"}},"schemaId":"components/schemas/WorkflowSpecMapping"},{"code":"201","description":"Workflow specification input mapping created successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpecMapping"}},"schemaId":"components/schemas/WorkflowSpecMapping"},{"code":"400","description":"Bad request.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"404","description":"Workflow specification was not found"},{"code":"default","description":"Unexpected error.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1workflow-specs-mappings/put/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/WorkflowSpecMapping","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpecMapping"}}},{"code":"201","schemaId":"components/schemas/WorkflowSpecMapping","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WorkflowSpecMapping"}}},{"code":"400","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"404"},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/workflowspecs/putworkflowspecmapping"}],"panels":[]}]},"httpPath":"/workflow-specs-mappings"}],"content":{"contentType":"group","meta":{"name":"WorkflowSpecs"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"WorkflowSpecs","showPageActions":true},{"nodeType":"markdoc","content":"Creating, getting and updating workflow-specifications."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/workflow-specs","summary":"Get all workflow specifications","prefix":{"name":"get","color":"get"},"badges":[],"link":"/workflowspecs/getworkflowspecs","deprecated":false},{"title":"/workflow-specs","summary":"Create workflow specification","prefix":{"name":"post","color":"post"},"badges":[],"link":"/workflowspecs/postworkflowspec","deprecated":false},{"title":"/workflow-specs/{workflowSpecId}","summary":"Get a workflow specification","prefix":{"name":"get","color":"get"},"badges":[],"link":"/workflowspecs/getworkflowspec","deprecated":false},{"title":"/workflow-specs/{workflowSpecId}","summary":"Create or update workflow specification","prefix":{"name":"put","color":"put"},"badges":[],"link":"/workflowspecs/putworkflowspec","deprecated":false},{"title":"/workflow-specs/{workflowSpecId}","summary":"Update a workflow specification","prefix":{"name":"patch","color":"patch"},"badges":[],"link":"/workflowspecs/patchworkflowspec","deprecated":false},{"title":"/workflow-specs/{workflowSpecId}/computation-config","summary":"Create or update configuration for a computation","prefix":{"name":"put","color":"put"},"badges":[],"link":"/workflowspecs/putcomputationconfig","deprecated":false},{"title":"/workflow-specs-mappings/{workflowSpecId}","summary":"Get all input mappings that originates from the given workflow specification","prefix":{"name":"get","color":"get"},"badges":[],"link":"/workflowspecs/getworkflowspecmappings","deprecated":false},{"title":"/workflow-specs-mappings","summary":"Create or update input mapping between two workflow specifications","prefix":{"name":"put","color":"put"},"badges":[],"link":"/workflowspecs/putworkflowspecmapping","deprecated":false}]}]}]}]}},{"type":"group","label":"ComputationSpecs","link":"/solutions/fdplan/apis/fdplan-evaluation/computationspecs","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/computationspecs","items":[{"label":"Get all computation specifications","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/computationspecs/getcomputationspecs","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/computationspecs/getcomputationspecs","metadata":{"seo":{"title":"Get all computation specifications","description":"Get all computation specifications. The parameter 'IncludePreviousVersions' may be used to return either the most recent versions of the computation specifications or all possible versions of each computation specification."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getComputationSpecs","name":"Get all computation specifications","isWebhook":false,"pointer":"/paths/~1computation-specs/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get all computation specifications","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Get all computation specifications. The parameter 'IncludePreviousVersions' may be used to return either the most recent versions of the computation specifications or all possible versions of each computation specification."},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"includePreviousVersions","in":"query","schemaId":"schema_0","description":"Unless includePreviousVersions is true the response will return only the latest version of each specification."}],"pointer":"/paths/~1computation-specs/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1computation-specs/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/computation-specs","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"parameters":{"path":[],"query":[{"name":"includePreviousVersions","in":"query","schemaId":"schema_0"}],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","204","401","default"],"pointer":"/computation-specs","href":"computationspecs/getcomputationspecs","openApiOperationId":"getComputationSpecs","summary":"Get all computation specifications"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Retrieved computation specifications successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ComputationSpecs"}},"schemaId":"components/schemas/ComputationSpecs"},{"code":"204","description":"No computation specifications were found."},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"default","description":"Unexpected error.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1computation-specs/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/ComputationSpecs","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ComputationSpecs"}}},{"code":"204"},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/computationspecs/getcomputationspecs"}],"panels":[]}]},"httpPath":"/computation-specs"},{"label":"Create a computation specification","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/computationspecs/postcomputationspec","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/computationspecs/postcomputationspec","metadata":{"seo":{"title":"Create a computation specification","description":"Create a computation specification. The create request must contain all the input and output data-type IDs which are used to define the computation specification. These data-types must have previously been created. As an example, a computation specification could be defined as a specification for a compute which takes two pieces of input data and calculates a single piece of output data. The specification for this compute would take two input data-types and output a single output data-type. The order of the input and output data-type IDs provided in the creation of the computation specification is maintained in the created computation specification and may only be changed through performing PATCH operations on the computation specification."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"postComputationSpec","name":"Create a computation specification","isWebhook":false,"pointer":"/paths/~1computation-specs/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create a computation specification","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Create a computation specification. The create request must contain all the input and output data-type IDs which are used to define the computation specification. These data-types must have previously been created. As an example, a computation specification could be defined as a specification for a compute which takes two pieces of input data and calculates a single piece of output data. The specification for this compute would take two input data-types and output a single output data-type. The order of the input and output data-type IDs provided in the creation of the computation specification is maintained in the created computation specification and may only be changed through performing PATCH operations on the computation specification."},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1computation-specs/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateComputationSpec"}},"schemaId":"components/schemas/CreateComputationSpec","pointer":"/paths/~1computation-specs/post/requestBody","description":"The computation specification to be created."}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/computation-specs","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"parameters":{"path":[],"query":[],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CreateComputationSpec"}},"responseCodes":["201","401","default"],"pointer":"/computation-specs","href":"computationspecs/postcomputationspec","openApiOperationId":"postComputationSpec","summary":"Create a computation specification"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"schemaId":"components/schemas/CreateComputationSpec","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateComputationSpec"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"201","description":"Computation specification created successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ComputationSpec"}},"schemaId":"components/schemas/ComputationSpec"},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"default","description":"Unexpected error.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1computation-specs/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"201","schemaId":"components/schemas/ComputationSpec","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ComputationSpec"}}},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/computationspecs/postcomputationspec"}],"panels":[]}]},"httpPath":"/computation-specs"},{"label":"Get computation specification","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/computationspecs/getcomputationspec","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/computationspecs/getcomputationspec","metadata":{"seo":{"title":"Get computation specification","description":"Get computation specification."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getComputationSpec","name":"Get computation specification","isWebhook":false,"pointer":"/paths/~1computation-specs~1{computationSpecId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get computation specification","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Get computation specification."},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"computationSpecId","in":"path","schemaId":"schema_1","description":"The computation specification ID.","required":true}],"pointer":"/paths/~1computation-specs~1{computationSpecId}/get/parameters"},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"version","in":"query","schemaId":"schema_2","description":"The id of the data-type to get. If not specified, the latest version will be returned."}],"pointer":"/paths/~1computation-specs~1{computationSpecId}/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1computation-specs~1{computationSpecId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/computation-specs/{computationSpecId}","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"computationSpecId","in":"path","required":true,"schemaId":"schema_1"}],"query":[{"name":"version","in":"query","schemaId":"schema_2"}],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","404","default"],"pointer":"/computation-specs/{computationSpecId}","href":"computationspecs/getcomputationspec","openApiOperationId":"getComputationSpec","summary":"Get computation specification"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Retrieved computation specification successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ComputationSpec"}},"schemaId":"components/schemas/ComputationSpec"},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"404","description":"The computation specification was not found.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"default","description":"Unexpected error.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1computation-specs~1{computationSpecId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/ComputationSpec","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ComputationSpec"}}},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"404","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/computationspecs/getcomputationspec"}],"panels":[]}]},"httpPath":"/computation-specs/{computationSpecId}"},{"label":"Create or update a computation specification","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/computationspecs/putcomputationspec","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/computationspecs/putcomputationspec","metadata":{"seo":{"title":"Create or update a computation specification","description":"Create or update a computation specification. The request must contain all the input and output data-type IDs which are used to define the computation specification. These data-types must have previously been created. As an example, a computation specification could be defined as a specification for a compute which takes two pieces of input data and calculates a single piece of output data. The specification for this compute would take two input data-types and output a single output data-type."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"putComputationSpec","name":"Create or update a computation specification","isWebhook":false,"pointer":"/paths/~1computation-specs~1{computationSpecId}/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create or update a computation specification","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Create or update a computation specification. The request must contain all the input and output data-type IDs which are used to define the computation specification. These data-types must have previously been created. As an example, a computation specification could be defined as a specification for a compute which takes two pieces of input data and calculates a single piece of output data. The specification for this compute would take two input data-types and output a single output data-type."},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"computationSpecId","in":"path","schemaId":"schema_1","description":"The computation specification ID.","required":true}],"pointer":"/paths/~1computation-specs~1{computationSpecId}/put/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1computation-specs~1{computationSpecId}/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ReplaceComputationSpec"}},"schemaId":"components/schemas/ReplaceComputationSpec","pointer":"/paths/~1computation-specs~1{computationSpecId}/put/requestBody","description":"The computation specification to be created or updated."}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/computation-specs/{computationSpecId}","servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"parameters":{"path":[{"name":"computationSpecId","in":"path","required":true,"schemaId":"schema_1"}],"query":[],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ReplaceComputationSpec"}},"responseCodes":["200","201","400","401","default"],"pointer":"/computation-specs/{computationSpecId}","href":"computationspecs/putcomputationspec","openApiOperationId":"putComputationSpec","summary":"Create or update a computation specification"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/evaluation/v1"},{"url":"/_mock/solutions/fdplan/apis/fdplan-evaluation","description":"Mock server","isMockServer":true}],"schemaId":"components/schemas/ReplaceComputationSpec","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ReplaceComputationSpec"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Computation specification updated successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ComputationSpec"}},"schemaId":"components/schemas/ComputationSpec"},{"code":"201","description":"Computation specification created successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ComputationSpec"}},"schemaId":"components/schemas/ComputationSpec"},{"code":"400","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"default","description":"Unexpected error.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1computation-specs~1{computationSpecId}/put/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/ComputationSpec","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ComputationSpec"}}},{"code":"201","schemaId":"components/schemas/ComputationSpec","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ComputationSpec"}}},{"code":"400","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/computationspecs/putcomputationspec"}],"panels":[]}]},"httpPath":"/computation-specs/{computationSpecId}"},{"label":"Update computation specification","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-evaluation/computationspecs/patchcomputationspec","routeSlug":"/solutions/fdplan/apis/fdplan-evaluation/computationspecs/patchcomputationspec","metadata":{"seo":{"title":"Update computation specification","description":"Update computation specification. It is only possible to update the \"name\", \"description\", \"archived\", \"inputDataTypeIds\", \"outputDataTypeIds\" and \"annotations\" fields of the computation specification."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"patchComputationSpec","name":"Update computation specification","isWebhook":false,"pointer":"/paths/~1computation-specs~1{computationSpecId}/patch","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Update computation specification","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"Update computation specification. It is only possible to update the \"name\", \"description\", \"archived\", \"inputDataTypeIds\", \"outputDataTypeIds\" and \"annotations\" fields of the computation specification."},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"computationSpecId","in":"path","schemaId":"schema_1","description":"The computation specification ID.","required":true}],"pointer":"/paths/~1computation-specs~1{computationSpecId}/patch/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1computat
[...]
